Overview
GET
/auth/methods/{method}authGet an auth method setting (admin)
Fetch a record from methods by method.
Auth: bearerAuth — calls run as the authenticated user.
Parameters
- methodpathstring
Responses
200
auth method setting
- methodstring
- enabledboolean
Example
{
"method": "string",
"enabled": true
}401
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}403
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}404
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}Code examples
cURL
curl -X GET "https://api.agenticdeveloperhub.com/auth/methods/{method}" \
-H "Authorization: Bearer YOUR_TOKEN"JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/auth/methods/{method}", {
method: "GET",
headers: {
"Authorization": "Bearer YOUR_TOKEN"
},
});
const data = await res.json();